VERSION 5.00
Begin VB.Form frmFiles 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Files"
   ClientHeight    =   3585
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6450
   Icon            =   "FILE Misc.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3585
   ScaleWidth      =   6450
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "FILE Misc.frx":27A2
      MousePointer    =   99  'Custom
      Picture         =   "FILE Misc.frx":2BE4
      ScaleHeight     =   615
      ScaleWidth      =   6450
      TabIndex        =   3
      Top             =   0
      Width           =   6450
   End
   Begin VB.CommandButton cmdINIs 
      Caption         =   "INI Files..."
      Height          =   375
      Left            =   2160
      TabIndex        =   2
      Top             =   3120
      Width           =   1695
   End
   Begin VB.TextBox txtPaths 
      Height          =   2295
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "FILE Misc.frx":3C0D
      Top             =   720
      Width           =   6255
   End
   Begin VB.CommandButton cmdTempFile 
      Caption         =   "Temp File Name..."
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   3120
      Width           =   1815
   End
End
Attribute VB_Name = "frmFiles"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' File Information
'
' 29 September 2001
' 09 March 2002 - Update for Windows 2000/XP
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================


Private Paths As New FilePathInfo
Private INIReader As New INIFileReader


'------------------------------------------------------------------
' Get the paths

Private Sub Form_Initialize()
  txtPaths.Text = "Windows Dir." & vbTab & "= " & Paths.WinDir & vbCrLf & _
                  "Win/Desktop" & vbTab & "= " & Paths.SpecialFolder(CSIDL_DESKTOP) & vbCrLf & _
                  "Win/Favourites" & vbTab & "= " & Paths.SpecialFolder(CSIDL_FAVORITES) & vbCrLf & _
                  "Win/System" & vbTab & "= " & Paths.SystemDir & vbCrLf & _
                  "Win/Temp" & vbTab & "= " & Paths.TempDir & vbCrLf & _
                  "Win/Send To" & vbTab & "= " & Paths.SpecialFolder(CSIDL_SENDTO) & vbCrLf & _
                  "My Documents" & vbTab & "= " & Paths.SpecialFolder(CSIDL_PERSONAL) & vbCrLf & _
                  "Start Menu" & vbTab & "= " & Paths.SpecialFolder(CSIDL_STARTMENU) & vbCrLf & _
                  "Start/Programs" & vbTab & "= " & Paths.SpecialFolder(CSIDL_PROGRAMS) & vbCrLf & _
                  "Start/Startup" & vbTab & "= " & Paths.SpecialFolder(CSIDL_STARTUP) & vbCrLf & _
                  "Start/Recent" & vbTab & "= " & Paths.SpecialFolder(CSIDL_RECENT)
End Sub


'------------------------------------------------------------------
' Demo about INI files

Private Sub cmdINIs_Click()
  Dim I As Integer
  Dim INIfileSect As Variant ' Full Section
  Dim MsgStr As String
  
  INIReader.INIFile = Paths.WinDir & "win.ini"
  
  If FileExist(INIReader.INIFile) Then
    INIReader.Section = "colors"
    On Error Resume Next
    INIfileSect = INIReader.Values
    If Not Err Then
      On Error GoTo 0
      MsgStr = "Content of [" & INIReader.Section & "] section in" & vbCrLf & INIReader.INIFile & ":" & vbCrLf
      For I = LBound(INIfileSect) To UBound(INIfileSect)
        MsgStr = MsgStr & vbCrLf & Format(I, "0#") & ")" & vbTab & INIfileSect(I)
      Next
      MsgBox MsgStr, vbInformation, "INI files"
    Else
      If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API call: " & Err.Source
      On Error GoTo 0
    End If
    
    On Error Resume Next
    INIReader.Section = "desktop"
    If Not Err Then
      On Error GoTo 0
      MsgBox "Wallpaper entry in [" & INIReader.Section & "] section of" & vbCrLf & INIReader.INIFile & " contains: " & vbCrLf & INIReader.Value("wallpaper"), vbInformation, "INI files"
    Else
      If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API call: " & Err.Source
      On Error GoTo 0
    End If
  Else
    MsgBox "File not found: " & INIReader.INIFile & "!", vbCritical, "INI files"
  End If
End Sub


'------------------------------------------------------------------
' Make a Temp file

Private Sub cmdTempFile_Click()
  Dim FileName As String
  FileName = FileMakeTempName("API") ' Makes a file and returns the filename
  Kill FileName                      ' We don't need the file
  MsgBox "Unique Temp-file name: " & vbCrLf & FileName, vbInformation, "Temp File Name"
End Sub




'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub


